// подключаем файл настроек
#include "defines.h"

// Подключаем библиотеку SoftwareSerial
#include <SoftwareSerial.h>
// Создаем последовательный порт на пинах HC05_RX, HC05_TX
SoftwareSerial HC05(HC05_RX, HC05_RX);    // RX, TX
// Переменная для приема данных по Bluetooth.
char hc05_input;
// структура для сохранения настроек движения
struct MOVE {
  int left1;  //
  int left2;  //
  int leftpwm;  //
  int right1;  //
  int right2;  //
  int rightpwm;  //
  int pr;     // 1- ; 1- ; 1- ; 1- ;
};
MOVE MOVE1={0,0,255,0,0,255};
//текущий режим
int mode=STOP_MODE;
// скорость изменения состояния
unsigned long millis1=0;
// данные, пришедшие из последовательного порта
String inputString = "";        
// строка пришла
boolean stringComplete = false;
//*** данные из HC05
// команда
int command_serial=0;
// данные
int data_serial=0;
// flag для режима 2
boolean flag2=true;
//
int orient_speed_left=0;
int orient_speed_right=0;

// настройки
void setup()  {
  // запуск последовательных портов Serial и HC05 
  Serial.begin(9600);
  HC05.begin(9600);
  // резервирование 30 bytes для inputString:
  inputString.reserve(50);
  // инициализация и установка в начальное состояние
  ini_motors();
  set_motors(0,0,0,0,0,0);
  // старт!!!
  Serial.println("start");
}
// основная программа
void loop() {
   // проверка прихода строки из последовательного порта
   serialEventHC05();
   if (stringComplete) {
    Serial.println(inputString);
    // парсинг строки
    if(!parse_string()) {
        Serial.println("ERROR");        
    }
    else {
      run_command();    
    }
    
    // очистить строку
    inputString = "";
    stringComplete = false;
   }

    // изменение состояния моторов
    if(millis()-millis1>=MILLIS_M)  {
       millis1=millis();
       set_motors(MOVE1.left1,MOVE1.left2,MOVE1.leftpwm,MOVE1.right1,MOVE1.right2,MOVE1.rightpwm);
       //Serial.println("set motors!!!!");       
    }
    /*if(flag2==true)  {
       millis1=millis();
       set_motors(MOVE1.left1,MOVE1.left2,MOVE1.leftpwm,MOVE1.right1,MOVE1.right2,MOVE1.rightpwm);
       //Serial.println("set motors!!!!");       
    }*/
}  

